<!-- 搜索表单 -->
<template>
  <el-form
    label-width="75px"
    class="ele-form-search"
    @keyup.enter.native="search"
    @submit.native.prevent
  >
    <el-row :gutter="15">
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <el-form-item label="编码:" label-width="50px">
          <el-input clearable v-model="where.code" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="型号:" label-width="50px">
          <el-input clearable v-model="where.module" placeholder="请输入" />
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <el-form-item label="名称:" label-width="50px">
          <el-input clearable v-model="where.name" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="所在部门:">
           <ele-tree-select
              clearable
              :data="treeData"
              v-model="where.ownershipGroupId"
              placeholder="请选择"
              default-expand-all
              labelKey="name"
              valueKey="id"
          />
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <el-form-item label="固定资产编码:" label-width="100px">
          <el-input clearable v-model="where.fixCode" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="生命周期:">
          <DictSelection dictName="生命周期" clearable v-model="where.positionType">
          </DictSelection>
        </el-form-item>
      </el-col>
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <el-form-item label="材质:" label-width="50px">
          <el-input clearable v-model="where.texture" placeholder="请输入" />
        </el-form-item>
        <div class="ele-form-actions">
          <el-button
            type="primary"
            icon="el-icon-search"
            class="ele-btn-icon"
            @click="search"
            size="small"
          >
            查询
          </el-button>
           <el-button @click="reset"
             icon="el-icon-refresh-left"
             size="small"
             type="primary"
           >重置</el-button>
        </div>
      </el-col>
    </el-row>
  </el-form>
</template>

<script>
  import { login } from '@/api/login';
  import {
    listOrganizations
  } from '@/api/system/organization';
  export default {
    props: {
      isConsumer: Boolean,
    },
    data() {
      // 默认表单数据
      const defaultWhere = {
        name: '',
        code: '',
        fixCode:'',
        ownershipGroupId:'',
        positionType:''
      };
      return {
        // 表单数据
        where: { ...defaultWhere },
        treeData:[]
      };
    },
    computed: {
      // 是否开启响应式布局
      styleResponsive() {
        return this.$store.state.theme.styleResponsive;
      }
    },
    watch:{
       isConsumer() {
         this.where.isConsumer = this.isConsumer
         this.search()
       }
    },
    created(){
       this.query()
    },
    methods: {
      /* 搜索 */
      search() {
        this.$emit('search', this.where);
      },
      /*  重置 */
      reset() {
        this.where = { ...this.defaultWhere , isConsumer:this.isConsumer};
        this.search();
      },


      query() {
        listOrganizations()
          .then((list) => {
            this.treeData = this.$util.toTreeData({
              data: list,
              idField: 'id',
              parentIdField: 'parentId'
            });
          })
          .catch((e) => {
          });
      },
      
      getForm(){
         return this.where
      }


    }
  };
</script>
